
-- Customer specific once-script
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
set echo on
spool FSN#34627.lst
set define off

--- verwijder alle bestaande reserveringen op objecten
DELETE res_rsv_deel
 WHERE res_rsv_deel_key IN
             (SELECT r.res_rsv_deel_key
                FROM res_rsv_deel r, res_deel o
               WHERE O.RES_DEEL_KEY = R.RES_DEEL_KEY
                     AND UPPER (O.RES_DEEL_OMSCHRIJVING) NOT LIKE 'NS BUS%');

--verwijder alle reserveerbare objecten muv NS business cards en escape hoods

DELETE res_deel
 WHERE res_deel_key IN
             (SELECT r.res_deel_key
                FROM res_deel r, ins_deel o
               WHERE R.RES_INS_DEEL_KEY = O.INS_DEEL_KEY
                     AND O.INS_SRTDEEL_KEY NOT IN (67, 141));

--verwijderder alle objecten die aan een melding gekoppeld zijn

DELETE mld_melding_object;

-- verwijder alle objecten muv NS business cards en escape hoods

DELETE ins_deel
 WHERE ins_srtdeel_key NOT IN (67, 141);

COMMIT;

BEGIN
   adm.systrackscriptid (
      '$Id$');
END;
/

spool off